import { Http,Util } from '@/utils';
import EntityService from '../entity-service';



/**
 * 字典项目服务对象基类
 *
 * @export
 * @class IBZDICTITEMServiceBase
 * @extends {EntityServie}
 */
export default class IBZDICTITEMServiceBase extends EntityService {

    /**
     * Creates an instance of  IBZDICTITEMServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  IBZDICTITEMServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础数据
     *
     * @memberof IBZDICTITEMServiceBase
     */
    public initBasicData(){
        this.APPLYDEKEY ='ibzdictitem';
        this.APPDEKEY = 'itemid';
        this.APPDENAME = 'ibzdictitems';
        this.APPDETEXT = 'itemname';
    }

// 实体接口

    /**
     * FetchDefault接口方法
     *
     * @param {*} [context={}]
     * @param {*} [data={}]
     * @param {boolean} [isloading]
     * @returns {Promise<any>}
     * @memberof IBZDICTITEMServiceBase
     */
    public async FetchDefault(context: any = {},data: any = {}, isloading?: boolean): Promise<any> {
        // FetchDefault ---FETCH
        if(context.srfsessionkey && !Object.is(this.tempStorage.getItem(context.srfsessionkey+'_ibzdictitems'),'undefined')){
            let result:any = JSON.parse(this.tempStorage.getItem(context.srfsessionkey+'_ibzdictitems') as any);
            if(result){
                return {"status":200,"data":result};
            }else{
                return {"status":200,"data":[]};
            } 
        }else{
            return {"status":200,"data":[]};
        }
    }
}